/*    
	imbutton.cpp
	
	QButton representing an IM contact
	
	Copyright (c) 2004 Will Stephenson   <lists@stevello.free-online.co.uk>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef IMBUTTON_H
#define IMBUTTON_H

#include <qpushbutton.h>

class KIMProxy;

class IMButton : public QPushButton
{
Q_OBJECT
public:
	IMButton( QWidget *parent, KIMProxy* proxy );
	IMButton( QWidget *parent, KIMProxy* proxy, const QString& name, const QString& contactId );
	~IMButton();
	void setContact( const QString& contactId, const QString& name );
	QString contact();
	
public slots:
	void statusChanged();
	
protected slots:
	void slotClicked();
	
protected:
	QString m_contact;
	QString m_name;
	KIMProxy *m_proxy;
};

#endif

